For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Link and Unlink a deal with contacts and companies

PATCH
https://api.brevo.com/v3/crm/deals/link-unlink/:id
PATCH
/v3/crm/deals/link-unlink/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.linkAndUnlinkADealWithContactsAndCompanies("id", {});
8}
9main();

Link or unlink contacts and companies with a specific deal in a single request. You can simultaneously link new contacts/companies and unlink existing ones by providing the respective ID arrays in the request body.

Was this page helpful?
Previous

Import deals(creation and updation)

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Request

Linked / Unlinked contacts and companies ids.

linkCompanyIdslist of stringsOptional
Company ids to be linked with deal
linkContactIdslist of longsOptional
Contact ids for contacts to be linked with deal
unlinkCompanyIdslist of stringsOptional
Company ids to be unlinked from deal
unlinkContactIdslist of longsOptional
Contact ids for contacts to be unlinked from deal

Response

Successfully linked/unlinked contacts/companies with the deal.

Errors

400
Bad Request Error